Print Friendly

# Class YAHOO.util.Motion

Package: | YAHOO.util
Class: | Motion
Extends: | YAHOO.util.Anim
Defined In: | animation.js

Anim subclass for moving elements along a path defined by the "points" member of "attributes". All "points" are arrays with x, y coordinates.

Usage: `var myAnim = new YAHOO.util.Motion(el, { points: { to: [800, 800] } }, 1, YAHOO.util.Easing.easeOut);`

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| Motion(`String |`, `Object attributes`, `Number duration`, `Function method`) | Motion

## Public Events

This class has no public events.

## Constructor Details

### Motion

`public function Motion(`String |`, `Object attributes`, `Number duration`, `Function method`)`
Parameters:

- `|` : String
  HTMLElement} el Reference to the element that will be animated
- `attributes` : Object
  The attribute(s) to be animated. Each attribute is an object with at minimum a "to" or "by" member defined. Additional optional members are "from" (defaults to current value), "units" (defaults to "px"). All attribute names use camelCase.
- `duration` : Number
  (optional, defaults to 1 second) Length of animation (frames or seconds), defaults to time-based
- `method` : Function
  (optional, defaults to YAHOO.util.Easing.easeNone) Computes the values that are applied to the attributes per frame (generally a YAHOO.util.Easing method)

Copyright © 2006 Jack Slocum. All rights reserved.